nn_skinl
nn_lb1
nn_mobile_lb1

Weapons of Destruction mod - version 8.0

wod8lpb.exe

Description

Client files needed for version 8.0 and higher of the Weapons of Destruction {WoD} mod for Quake 2.

nn_lb2

There are no comments yet. Be the first!

nn_skinr